KPACKAGETOOL5(1)

NOME
kpackagetool5 - Instalar, listar, remover pacotes do Plasma

SINOPSE

kpackagetool5 [-v, --version] [-h, --help] [--hash localização] [-g, --global] [-t, --type tipo] [-i, --install localização] [-s, --show nome] [-u, --upgrade localização] [-l, --list] [--list-types] [-r, --remove nome] [-p, --packageroot localização] [--generate-index]

DESCRIÇÃO

O kpackagetool5 é uma ferramenta da linha de comandos para instalar, listar e remover pacotes do Plasma.

OPÇÕES

-v, --version
    Apresenta a informação da versão.

-h, --help
    Mostra esta ajuda.

--hash localização
    Gera um código SHA1 para o pacote disponível na “localização”.

-g, --global
    Para instalar ou remover, funciona para os pacotes instalados em todos os utilizadores.

-t, --type tipo
    O tipo de pacote, correspondendo ao tipo do 'plugin' de pacotes, isto é KPackage/Genérico, Plasma/Tema, Plasma/Papel-de-Parede, Plasma/Applet, etc.

-i, --install localização
    Instala o pacote disponível na “localização”.

-s, --show nome
    Mostra informações sobre o pacote “nome”.

-u, --upgrade localização
    Actualiza o pacote disponível na “localização”.

-l, --list
    Enumera os pacotes instalados.

--list-types
    Apresenta todos os tipos de pacotes conhecidos que podem ser instalados.

-r, --remove nome
    Remove o pacote chamado “nome”.

-p, --packageroot localização
    A localização absoluta da pasta de topo dos pacotes. Se não for indicada, então será feita uma pesquisa nas pastas de dados padrão desta sessão do Plasma em alternativa.

--generate-index localização
    Volta a criar o índice de 'plugins'. A ser usado em conjunto com a opção -t ou a -g. Volta a criar o índice para o tipo ou pasta de topo dos pacotes. Funciona sobre a pasta do utilizador, a menos que seja usada a opção -g

VEJA TAMBÉM

Existe mais documentação do utilizador disponível em help:/plasma-desktop (quer através deste URL no Konqueror, quer através do comando khelpcenter help:/plasma-desktop).

AUTORES

O kpackagetool5 foi criado por Aaron Seigo <aseigo@kde.org>.